package com.ruoyi.system.domain.visit.dr;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class VisitDrRuleExample implements Serializable {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private static final long serialVersionUID = 1L;

    public VisitDrRuleExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria implements Serializable {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andTitleIsNull() {
            addCriterion("title is null");
            return (Criteria) this;
        }

        public Criteria andTitleIsNotNull() {
            addCriterion("title is not null");
            return (Criteria) this;
        }

        public Criteria andTitleEqualTo(String value) {
            addCriterion("title =", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotEqualTo(String value) {
            addCriterion("title <>", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleGreaterThan(String value) {
            addCriterion("title >", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleGreaterThanOrEqualTo(String value) {
            addCriterion("title >=", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleLessThan(String value) {
            addCriterion("title <", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleLessThanOrEqualTo(String value) {
            addCriterion("title <=", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleLike(String value) {
            addCriterion("title like", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotLike(String value) {
            addCriterion("title not like", value, "title");
            return (Criteria) this;
        }

        public Criteria andTitleIn(List<String> values) {
            addCriterion("title in", values, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotIn(List<String> values) {
            addCriterion("title not in", values, "title");
            return (Criteria) this;
        }

        public Criteria andTitleBetween(String value1, String value2) {
            addCriterion("title between", value1, value2, "title");
            return (Criteria) this;
        }

        public Criteria andTitleNotBetween(String value1, String value2) {
            addCriterion("title not between", value1, value2, "title");
            return (Criteria) this;
        }

        public Criteria andChooseTimeIsNull() {
            addCriterion("choose_time is null");
            return (Criteria) this;
        }

        public Criteria andChooseTimeIsNotNull() {
            addCriterion("choose_time is not null");
            return (Criteria) this;
        }

        public Criteria andChooseTimeEqualTo(String value) {
            addCriterion("choose_time =", value, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeNotEqualTo(String value) {
            addCriterion("choose_time <>", value, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeGreaterThan(String value) {
            addCriterion("choose_time >", value, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeGreaterThanOrEqualTo(String value) {
            addCriterion("choose_time >=", value, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeLessThan(String value) {
            addCriterion("choose_time <", value, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeLessThanOrEqualTo(String value) {
            addCriterion("choose_time <=", value, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeLike(String value) {
            addCriterion("choose_time like", value, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeNotLike(String value) {
            addCriterion("choose_time not like", value, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeIn(List<String> values) {
            addCriterion("choose_time in", values, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeNotIn(List<String> values) {
            addCriterion("choose_time not in", values, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeBetween(String value1, String value2) {
            addCriterion("choose_time between", value1, value2, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeNotBetween(String value1, String value2) {
            addCriterion("choose_time not between", value1, value2, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTypeIsNull() {
            addCriterion("choose_type is null");
            return (Criteria) this;
        }

        public Criteria andChooseTypeIsNotNull() {
            addCriterion("choose_type is not null");
            return (Criteria) this;
        }

        public Criteria andChooseTypeEqualTo(String value) {
            addCriterion("choose_type =", value, "chooseType");
            return (Criteria) this;
        }

        public Criteria andChooseTypeNotEqualTo(String value) {
            addCriterion("choose_type <>", value, "chooseType");
            return (Criteria) this;
        }

        public Criteria andChooseTypeGreaterThan(String value) {
            addCriterion("choose_type >", value, "chooseType");
            return (Criteria) this;
        }

        public Criteria andChooseTypeGreaterThanOrEqualTo(String value) {
            addCriterion("choose_type >=", value, "chooseType");
            return (Criteria) this;
        }

        public Criteria andChooseTypeLessThan(String value) {
            addCriterion("choose_type <", value, "chooseType");
            return (Criteria) this;
        }

        public Criteria andChooseTypeLessThanOrEqualTo(String value) {
            addCriterion("choose_type <=", value, "chooseType");
            return (Criteria) this;
        }

        public Criteria andChooseTypeLike(String value) {
            addCriterion("choose_type like", value, "chooseType");
            return (Criteria) this;
        }

        public Criteria andChooseTypeNotLike(String value) {
            addCriterion("choose_type not like", value, "chooseType");
            return (Criteria) this;
        }

        public Criteria andChooseTypeIn(List<String> values) {
            addCriterion("choose_type in", values, "chooseType");
            return (Criteria) this;
        }

        public Criteria andChooseTypeNotIn(List<String> values) {
            addCriterion("choose_type not in", values, "chooseType");
            return (Criteria) this;
        }

        public Criteria andChooseTypeBetween(String value1, String value2) {
            addCriterion("choose_type between", value1, value2, "chooseType");
            return (Criteria) this;
        }

        public Criteria andChooseTypeNotBetween(String value1, String value2) {
            addCriterion("choose_type not between", value1, value2, "chooseType");
            return (Criteria) this;
        }

        public Criteria andChooseFormIsNull() {
            addCriterion("choose_form is null");
            return (Criteria) this;
        }

        public Criteria andChooseFormIsNotNull() {
            addCriterion("choose_form is not null");
            return (Criteria) this;
        }

        public Criteria andChooseFormEqualTo(String value) {
            addCriterion("choose_form =", value, "chooseForm");
            return (Criteria) this;
        }

        public Criteria andChooseFormNotEqualTo(String value) {
            addCriterion("choose_form <>", value, "chooseForm");
            return (Criteria) this;
        }

        public Criteria andChooseFormGreaterThan(String value) {
            addCriterion("choose_form >", value, "chooseForm");
            return (Criteria) this;
        }

        public Criteria andChooseFormGreaterThanOrEqualTo(String value) {
            addCriterion("choose_form >=", value, "chooseForm");
            return (Criteria) this;
        }

        public Criteria andChooseFormLessThan(String value) {
            addCriterion("choose_form <", value, "chooseForm");
            return (Criteria) this;
        }

        public Criteria andChooseFormLessThanOrEqualTo(String value) {
            addCriterion("choose_form <=", value, "chooseForm");
            return (Criteria) this;
        }

        public Criteria andChooseFormLike(String value) {
            addCriterion("choose_form like", value, "chooseForm");
            return (Criteria) this;
        }

        public Criteria andChooseFormNotLike(String value) {
            addCriterion("choose_form not like", value, "chooseForm");
            return (Criteria) this;
        }

        public Criteria andChooseFormIn(List<String> values) {
            addCriterion("choose_form in", values, "chooseForm");
            return (Criteria) this;
        }

        public Criteria andChooseFormNotIn(List<String> values) {
            addCriterion("choose_form not in", values, "chooseForm");
            return (Criteria) this;
        }

        public Criteria andChooseFormBetween(String value1, String value2) {
            addCriterion("choose_form between", value1, value2, "chooseForm");
            return (Criteria) this;
        }

        public Criteria andChooseFormNotBetween(String value1, String value2) {
            addCriterion("choose_form not between", value1, value2, "chooseForm");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleTypeIsNull() {
            addCriterion("choose_people_type is null");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleTypeIsNotNull() {
            addCriterion("choose_people_type is not null");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleTypeEqualTo(String value) {
            addCriterion("choose_people_type =", value, "choosePeopleType");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleTypeNotEqualTo(String value) {
            addCriterion("choose_people_type <>", value, "choosePeopleType");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleTypeGreaterThan(String value) {
            addCriterion("choose_people_type >", value, "choosePeopleType");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleTypeGreaterThanOrEqualTo(String value) {
            addCriterion("choose_people_type >=", value, "choosePeopleType");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleTypeLessThan(String value) {
            addCriterion("choose_people_type <", value, "choosePeopleType");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleTypeLessThanOrEqualTo(String value) {
            addCriterion("choose_people_type <=", value, "choosePeopleType");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleTypeLike(String value) {
            addCriterion("choose_people_type like", value, "choosePeopleType");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleTypeNotLike(String value) {
            addCriterion("choose_people_type not like", value, "choosePeopleType");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleTypeIn(List<String> values) {
            addCriterion("choose_people_type in", values, "choosePeopleType");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleTypeNotIn(List<String> values) {
            addCriterion("choose_people_type not in", values, "choosePeopleType");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleTypeBetween(String value1, String value2) {
            addCriterion("choose_people_type between", value1, value2, "choosePeopleType");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleTypeNotBetween(String value1, String value2) {
            addCriterion("choose_people_type not between", value1, value2, "choosePeopleType");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleNumIsNull() {
            addCriterion("choose_people_num is null");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleNumIsNotNull() {
            addCriterion("choose_people_num is not null");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleNumEqualTo(String value) {
            addCriterion("choose_people_num =", value, "choosePeopleNum");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleNumNotEqualTo(String value) {
            addCriterion("choose_people_num <>", value, "choosePeopleNum");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleNumGreaterThan(String value) {
            addCriterion("choose_people_num >", value, "choosePeopleNum");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleNumGreaterThanOrEqualTo(String value) {
            addCriterion("choose_people_num >=", value, "choosePeopleNum");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleNumLessThan(String value) {
            addCriterion("choose_people_num <", value, "choosePeopleNum");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleNumLessThanOrEqualTo(String value) {
            addCriterion("choose_people_num <=", value, "choosePeopleNum");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleNumLike(String value) {
            addCriterion("choose_people_num like", value, "choosePeopleNum");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleNumNotLike(String value) {
            addCriterion("choose_people_num not like", value, "choosePeopleNum");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleNumIn(List<String> values) {
            addCriterion("choose_people_num in", values, "choosePeopleNum");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleNumNotIn(List<String> values) {
            addCriterion("choose_people_num not in", values, "choosePeopleNum");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleNumBetween(String value1, String value2) {
            addCriterion("choose_people_num between", value1, value2, "choosePeopleNum");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleNumNotBetween(String value1, String value2) {
            addCriterion("choose_people_num not between", value1, value2, "choosePeopleNum");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleGroupIsNull() {
            addCriterion("choose_people_group is null");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleGroupIsNotNull() {
            addCriterion("choose_people_group is not null");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleGroupEqualTo(String value) {
            addCriterion("choose_people_group =", value, "choosePeopleGroup");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleGroupNotEqualTo(String value) {
            addCriterion("choose_people_group <>", value, "choosePeopleGroup");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleGroupGreaterThan(String value) {
            addCriterion("choose_people_group >", value, "choosePeopleGroup");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleGroupGreaterThanOrEqualTo(String value) {
            addCriterion("choose_people_group >=", value, "choosePeopleGroup");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleGroupLessThan(String value) {
            addCriterion("choose_people_group <", value, "choosePeopleGroup");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleGroupLessThanOrEqualTo(String value) {
            addCriterion("choose_people_group <=", value, "choosePeopleGroup");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleGroupLike(String value) {
            addCriterion("choose_people_group like", value, "choosePeopleGroup");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleGroupNotLike(String value) {
            addCriterion("choose_people_group not like", value, "choosePeopleGroup");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleGroupIn(List<String> values) {
            addCriterion("choose_people_group in", values, "choosePeopleGroup");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleGroupNotIn(List<String> values) {
            addCriterion("choose_people_group not in", values, "choosePeopleGroup");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleGroupBetween(String value1, String value2) {
            addCriterion("choose_people_group between", value1, value2, "choosePeopleGroup");
            return (Criteria) this;
        }

        public Criteria andChoosePeopleGroupNotBetween(String value1, String value2) {
            addCriterion("choose_people_group not between", value1, value2, "choosePeopleGroup");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldPeopleIsNull() {
            addCriterion("is_filter_old_people is null");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldPeopleIsNotNull() {
            addCriterion("is_filter_old_people is not null");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldPeopleEqualTo(String value) {
            addCriterion("is_filter_old_people =", value, "isFilterOldPeople");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldPeopleNotEqualTo(String value) {
            addCriterion("is_filter_old_people <>", value, "isFilterOldPeople");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldPeopleGreaterThan(String value) {
            addCriterion("is_filter_old_people >", value, "isFilterOldPeople");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldPeopleGreaterThanOrEqualTo(String value) {
            addCriterion("is_filter_old_people >=", value, "isFilterOldPeople");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldPeopleLessThan(String value) {
            addCriterion("is_filter_old_people <", value, "isFilterOldPeople");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldPeopleLessThanOrEqualTo(String value) {
            addCriterion("is_filter_old_people <=", value, "isFilterOldPeople");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldPeopleLike(String value) {
            addCriterion("is_filter_old_people like", value, "isFilterOldPeople");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldPeopleNotLike(String value) {
            addCriterion("is_filter_old_people not like", value, "isFilterOldPeople");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldPeopleIn(List<String> values) {
            addCriterion("is_filter_old_people in", values, "isFilterOldPeople");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldPeopleNotIn(List<String> values) {
            addCriterion("is_filter_old_people not in", values, "isFilterOldPeople");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldPeopleBetween(String value1, String value2) {
            addCriterion("is_filter_old_people between", value1, value2, "isFilterOldPeople");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldPeopleNotBetween(String value1, String value2) {
            addCriterion("is_filter_old_people not between", value1, value2, "isFilterOldPeople");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleStartTimeIsNull() {
            addCriterion("filter_people_start_time is null");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleStartTimeIsNotNull() {
            addCriterion("filter_people_start_time is not null");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleStartTimeEqualTo(String value) {
            addCriterion("filter_people_start_time =", value, "filterPeopleStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleStartTimeNotEqualTo(String value) {
            addCriterion("filter_people_start_time <>", value, "filterPeopleStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleStartTimeGreaterThan(String value) {
            addCriterion("filter_people_start_time >", value, "filterPeopleStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleStartTimeGreaterThanOrEqualTo(String value) {
            addCriterion("filter_people_start_time >=", value, "filterPeopleStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleStartTimeLessThan(String value) {
            addCriterion("filter_people_start_time <", value, "filterPeopleStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleStartTimeLessThanOrEqualTo(String value) {
            addCriterion("filter_people_start_time <=", value, "filterPeopleStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleStartTimeLike(String value) {
            addCriterion("filter_people_start_time like", value, "filterPeopleStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleStartTimeNotLike(String value) {
            addCriterion("filter_people_start_time not like", value, "filterPeopleStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleStartTimeIn(List<String> values) {
            addCriterion("filter_people_start_time in", values, "filterPeopleStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleStartTimeNotIn(List<String> values) {
            addCriterion("filter_people_start_time not in", values, "filterPeopleStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleStartTimeBetween(String value1, String value2) {
            addCriterion("filter_people_start_time between", value1, value2, "filterPeopleStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleStartTimeNotBetween(String value1, String value2) {
            addCriterion("filter_people_start_time not between", value1, value2, "filterPeopleStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleEndTimeIsNull() {
            addCriterion("filter_people_end_time is null");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleEndTimeIsNotNull() {
            addCriterion("filter_people_end_time is not null");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleEndTimeEqualTo(String value) {
            addCriterion("filter_people_end_time =", value, "filterPeopleEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleEndTimeNotEqualTo(String value) {
            addCriterion("filter_people_end_time <>", value, "filterPeopleEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleEndTimeGreaterThan(String value) {
            addCriterion("filter_people_end_time >", value, "filterPeopleEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleEndTimeGreaterThanOrEqualTo(String value) {
            addCriterion("filter_people_end_time >=", value, "filterPeopleEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleEndTimeLessThan(String value) {
            addCriterion("filter_people_end_time <", value, "filterPeopleEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleEndTimeLessThanOrEqualTo(String value) {
            addCriterion("filter_people_end_time <=", value, "filterPeopleEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleEndTimeLike(String value) {
            addCriterion("filter_people_end_time like", value, "filterPeopleEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleEndTimeNotLike(String value) {
            addCriterion("filter_people_end_time not like", value, "filterPeopleEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleEndTimeIn(List<String> values) {
            addCriterion("filter_people_end_time in", values, "filterPeopleEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleEndTimeNotIn(List<String> values) {
            addCriterion("filter_people_end_time not in", values, "filterPeopleEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleEndTimeBetween(String value1, String value2) {
            addCriterion("filter_people_end_time between", value1, value2, "filterPeopleEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterPeopleEndTimeNotBetween(String value1, String value2) {
            addCriterion("filter_people_end_time not between", value1, value2, "filterPeopleEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterAgeExpIsNull() {
            addCriterion("filter_age_exp is null");
            return (Criteria) this;
        }

        public Criteria andFilterAgeExpIsNotNull() {
            addCriterion("filter_age_exp is not null");
            return (Criteria) this;
        }

        public Criteria andFilterAgeExpEqualTo(String value) {
            addCriterion("filter_age_exp =", value, "filterAgeExp");
            return (Criteria) this;
        }

        public Criteria andFilterAgeExpNotEqualTo(String value) {
            addCriterion("filter_age_exp <>", value, "filterAgeExp");
            return (Criteria) this;
        }

        public Criteria andFilterAgeExpGreaterThan(String value) {
            addCriterion("filter_age_exp >", value, "filterAgeExp");
            return (Criteria) this;
        }

        public Criteria andFilterAgeExpGreaterThanOrEqualTo(String value) {
            addCriterion("filter_age_exp >=", value, "filterAgeExp");
            return (Criteria) this;
        }

        public Criteria andFilterAgeExpLessThan(String value) {
            addCriterion("filter_age_exp <", value, "filterAgeExp");
            return (Criteria) this;
        }

        public Criteria andFilterAgeExpLessThanOrEqualTo(String value) {
            addCriterion("filter_age_exp <=", value, "filterAgeExp");
            return (Criteria) this;
        }

        public Criteria andFilterAgeExpLike(String value) {
            addCriterion("filter_age_exp like", value, "filterAgeExp");
            return (Criteria) this;
        }

        public Criteria andFilterAgeExpNotLike(String value) {
            addCriterion("filter_age_exp not like", value, "filterAgeExp");
            return (Criteria) this;
        }

        public Criteria andFilterAgeExpIn(List<String> values) {
            addCriterion("filter_age_exp in", values, "filterAgeExp");
            return (Criteria) this;
        }

        public Criteria andFilterAgeExpNotIn(List<String> values) {
            addCriterion("filter_age_exp not in", values, "filterAgeExp");
            return (Criteria) this;
        }

        public Criteria andFilterAgeExpBetween(String value1, String value2) {
            addCriterion("filter_age_exp between", value1, value2, "filterAgeExp");
            return (Criteria) this;
        }

        public Criteria andFilterAgeExpNotBetween(String value1, String value2) {
            addCriterion("filter_age_exp not between", value1, value2, "filterAgeExp");
            return (Criteria) this;
        }

        public Criteria andIsChooseCreditRatioIsNull() {
            addCriterion("`is_choose_credit ratio` is null");
            return (Criteria) this;
        }

        public Criteria andIsChooseCreditRatioIsNotNull() {
            addCriterion("`is_choose_credit ratio` is not null");
            return (Criteria) this;
        }

        public Criteria andIsChooseCreditRatioEqualTo(String value) {
            addCriterion("`is_choose_credit ratio` =", value, "isChooseCreditRatio");
            return (Criteria) this;
        }

        public Criteria andIsChooseCreditRatioNotEqualTo(String value) {
            addCriterion("`is_choose_credit ratio` <>", value, "isChooseCreditRatio");
            return (Criteria) this;
        }

        public Criteria andIsChooseCreditRatioGreaterThan(String value) {
            addCriterion("`is_choose_credit ratio` >", value, "isChooseCreditRatio");
            return (Criteria) this;
        }

        public Criteria andIsChooseCreditRatioGreaterThanOrEqualTo(String value) {
            addCriterion("`is_choose_credit ratio` >=", value, "isChooseCreditRatio");
            return (Criteria) this;
        }

        public Criteria andIsChooseCreditRatioLessThan(String value) {
            addCriterion("`is_choose_credit ratio` <", value, "isChooseCreditRatio");
            return (Criteria) this;
        }

        public Criteria andIsChooseCreditRatioLessThanOrEqualTo(String value) {
            addCriterion("`is_choose_credit ratio` <=", value, "isChooseCreditRatio");
            return (Criteria) this;
        }

        public Criteria andIsChooseCreditRatioLike(String value) {
            addCriterion("`is_choose_credit ratio` like", value, "isChooseCreditRatio");
            return (Criteria) this;
        }

        public Criteria andIsChooseCreditRatioNotLike(String value) {
            addCriterion("`is_choose_credit ratio` not like", value, "isChooseCreditRatio");
            return (Criteria) this;
        }

        public Criteria andIsChooseCreditRatioIn(List<String> values) {
            addCriterion("`is_choose_credit ratio` in", values, "isChooseCreditRatio");
            return (Criteria) this;
        }

        public Criteria andIsChooseCreditRatioNotIn(List<String> values) {
            addCriterion("`is_choose_credit ratio` not in", values, "isChooseCreditRatio");
            return (Criteria) this;
        }

        public Criteria andIsChooseCreditRatioBetween(String value1, String value2) {
            addCriterion("`is_choose_credit ratio` between", value1, value2, "isChooseCreditRatio");
            return (Criteria) this;
        }

        public Criteria andIsChooseCreditRatioNotBetween(String value1, String value2) {
            addCriterion("`is_choose_credit ratio` not between", value1, value2, "isChooseCreditRatio");
            return (Criteria) this;
        }

        public Criteria andCreditAIsNull() {
            addCriterion("credit_a is null");
            return (Criteria) this;
        }

        public Criteria andCreditAIsNotNull() {
            addCriterion("credit_a is not null");
            return (Criteria) this;
        }

        public Criteria andCreditAEqualTo(String value) {
            addCriterion("credit_a =", value, "creditA");
            return (Criteria) this;
        }

        public Criteria andCreditANotEqualTo(String value) {
            addCriterion("credit_a <>", value, "creditA");
            return (Criteria) this;
        }

        public Criteria andCreditAGreaterThan(String value) {
            addCriterion("credit_a >", value, "creditA");
            return (Criteria) this;
        }

        public Criteria andCreditAGreaterThanOrEqualTo(String value) {
            addCriterion("credit_a >=", value, "creditA");
            return (Criteria) this;
        }

        public Criteria andCreditALessThan(String value) {
            addCriterion("credit_a <", value, "creditA");
            return (Criteria) this;
        }

        public Criteria andCreditALessThanOrEqualTo(String value) {
            addCriterion("credit_a <=", value, "creditA");
            return (Criteria) this;
        }

        public Criteria andCreditALike(String value) {
            addCriterion("credit_a like", value, "creditA");
            return (Criteria) this;
        }

        public Criteria andCreditANotLike(String value) {
            addCriterion("credit_a not like", value, "creditA");
            return (Criteria) this;
        }

        public Criteria andCreditAIn(List<String> values) {
            addCriterion("credit_a in", values, "creditA");
            return (Criteria) this;
        }

        public Criteria andCreditANotIn(List<String> values) {
            addCriterion("credit_a not in", values, "creditA");
            return (Criteria) this;
        }

        public Criteria andCreditABetween(String value1, String value2) {
            addCriterion("credit_a between", value1, value2, "creditA");
            return (Criteria) this;
        }

        public Criteria andCreditANotBetween(String value1, String value2) {
            addCriterion("credit_a not between", value1, value2, "creditA");
            return (Criteria) this;
        }

        public Criteria andCreditBIsNull() {
            addCriterion("credit_b is null");
            return (Criteria) this;
        }

        public Criteria andCreditBIsNotNull() {
            addCriterion("credit_b is not null");
            return (Criteria) this;
        }

        public Criteria andCreditBEqualTo(String value) {
            addCriterion("credit_b =", value, "creditB");
            return (Criteria) this;
        }

        public Criteria andCreditBNotEqualTo(String value) {
            addCriterion("credit_b <>", value, "creditB");
            return (Criteria) this;
        }

        public Criteria andCreditBGreaterThan(String value) {
            addCriterion("credit_b >", value, "creditB");
            return (Criteria) this;
        }

        public Criteria andCreditBGreaterThanOrEqualTo(String value) {
            addCriterion("credit_b >=", value, "creditB");
            return (Criteria) this;
        }

        public Criteria andCreditBLessThan(String value) {
            addCriterion("credit_b <", value, "creditB");
            return (Criteria) this;
        }

        public Criteria andCreditBLessThanOrEqualTo(String value) {
            addCriterion("credit_b <=", value, "creditB");
            return (Criteria) this;
        }

        public Criteria andCreditBLike(String value) {
            addCriterion("credit_b like", value, "creditB");
            return (Criteria) this;
        }

        public Criteria andCreditBNotLike(String value) {
            addCriterion("credit_b not like", value, "creditB");
            return (Criteria) this;
        }

        public Criteria andCreditBIn(List<String> values) {
            addCriterion("credit_b in", values, "creditB");
            return (Criteria) this;
        }

        public Criteria andCreditBNotIn(List<String> values) {
            addCriterion("credit_b not in", values, "creditB");
            return (Criteria) this;
        }

        public Criteria andCreditBBetween(String value1, String value2) {
            addCriterion("credit_b between", value1, value2, "creditB");
            return (Criteria) this;
        }

        public Criteria andCreditBNotBetween(String value1, String value2) {
            addCriterion("credit_b not between", value1, value2, "creditB");
            return (Criteria) this;
        }

        public Criteria andCreditCIsNull() {
            addCriterion("credit_c is null");
            return (Criteria) this;
        }

        public Criteria andCreditCIsNotNull() {
            addCriterion("credit_c is not null");
            return (Criteria) this;
        }

        public Criteria andCreditCEqualTo(String value) {
            addCriterion("credit_c =", value, "creditC");
            return (Criteria) this;
        }

        public Criteria andCreditCNotEqualTo(String value) {
            addCriterion("credit_c <>", value, "creditC");
            return (Criteria) this;
        }

        public Criteria andCreditCGreaterThan(String value) {
            addCriterion("credit_c >", value, "creditC");
            return (Criteria) this;
        }

        public Criteria andCreditCGreaterThanOrEqualTo(String value) {
            addCriterion("credit_c >=", value, "creditC");
            return (Criteria) this;
        }

        public Criteria andCreditCLessThan(String value) {
            addCriterion("credit_c <", value, "creditC");
            return (Criteria) this;
        }

        public Criteria andCreditCLessThanOrEqualTo(String value) {
            addCriterion("credit_c <=", value, "creditC");
            return (Criteria) this;
        }

        public Criteria andCreditCLike(String value) {
            addCriterion("credit_c like", value, "creditC");
            return (Criteria) this;
        }

        public Criteria andCreditCNotLike(String value) {
            addCriterion("credit_c not like", value, "creditC");
            return (Criteria) this;
        }

        public Criteria andCreditCIn(List<String> values) {
            addCriterion("credit_c in", values, "creditC");
            return (Criteria) this;
        }

        public Criteria andCreditCNotIn(List<String> values) {
            addCriterion("credit_c not in", values, "creditC");
            return (Criteria) this;
        }

        public Criteria andCreditCBetween(String value1, String value2) {
            addCriterion("credit_c between", value1, value2, "creditC");
            return (Criteria) this;
        }

        public Criteria andCreditCNotBetween(String value1, String value2) {
            addCriterion("credit_c not between", value1, value2, "creditC");
            return (Criteria) this;
        }

        public Criteria andCreditDIsNull() {
            addCriterion("credit_d is null");
            return (Criteria) this;
        }

        public Criteria andCreditDIsNotNull() {
            addCriterion("credit_d is not null");
            return (Criteria) this;
        }

        public Criteria andCreditDEqualTo(String value) {
            addCriterion("credit_d =", value, "creditD");
            return (Criteria) this;
        }

        public Criteria andCreditDNotEqualTo(String value) {
            addCriterion("credit_d <>", value, "creditD");
            return (Criteria) this;
        }

        public Criteria andCreditDGreaterThan(String value) {
            addCriterion("credit_d >", value, "creditD");
            return (Criteria) this;
        }

        public Criteria andCreditDGreaterThanOrEqualTo(String value) {
            addCriterion("credit_d >=", value, "creditD");
            return (Criteria) this;
        }

        public Criteria andCreditDLessThan(String value) {
            addCriterion("credit_d <", value, "creditD");
            return (Criteria) this;
        }

        public Criteria andCreditDLessThanOrEqualTo(String value) {
            addCriterion("credit_d <=", value, "creditD");
            return (Criteria) this;
        }

        public Criteria andCreditDLike(String value) {
            addCriterion("credit_d like", value, "creditD");
            return (Criteria) this;
        }

        public Criteria andCreditDNotLike(String value) {
            addCriterion("credit_d not like", value, "creditD");
            return (Criteria) this;
        }

        public Criteria andCreditDIn(List<String> values) {
            addCriterion("credit_d in", values, "creditD");
            return (Criteria) this;
        }

        public Criteria andCreditDNotIn(List<String> values) {
            addCriterion("credit_d not in", values, "creditD");
            return (Criteria) this;
        }

        public Criteria andCreditDBetween(String value1, String value2) {
            addCriterion("credit_d between", value1, value2, "creditD");
            return (Criteria) this;
        }

        public Criteria andCreditDNotBetween(String value1, String value2) {
            addCriterion("credit_d not between", value1, value2, "creditD");
            return (Criteria) this;
        }

        public Criteria andChooseOffGradeIsNull() {
            addCriterion("choose_off_grade is null");
            return (Criteria) this;
        }

        public Criteria andChooseOffGradeIsNotNull() {
            addCriterion("choose_off_grade is not null");
            return (Criteria) this;
        }

        public Criteria andChooseOffGradeEqualTo(String value) {
            addCriterion("choose_off_grade =", value, "chooseOffGrade");
            return (Criteria) this;
        }

        public Criteria andChooseOffGradeNotEqualTo(String value) {
            addCriterion("choose_off_grade <>", value, "chooseOffGrade");
            return (Criteria) this;
        }

        public Criteria andChooseOffGradeGreaterThan(String value) {
            addCriterion("choose_off_grade >", value, "chooseOffGrade");
            return (Criteria) this;
        }

        public Criteria andChooseOffGradeGreaterThanOrEqualTo(String value) {
            addCriterion("choose_off_grade >=", value, "chooseOffGrade");
            return (Criteria) this;
        }

        public Criteria andChooseOffGradeLessThan(String value) {
            addCriterion("choose_off_grade <", value, "chooseOffGrade");
            return (Criteria) this;
        }

        public Criteria andChooseOffGradeLessThanOrEqualTo(String value) {
            addCriterion("choose_off_grade <=", value, "chooseOffGrade");
            return (Criteria) this;
        }

        public Criteria andChooseOffGradeLike(String value) {
            addCriterion("choose_off_grade like", value, "chooseOffGrade");
            return (Criteria) this;
        }

        public Criteria andChooseOffGradeNotLike(String value) {
            addCriterion("choose_off_grade not like", value, "chooseOffGrade");
            return (Criteria) this;
        }

        public Criteria andChooseOffGradeIn(List<String> values) {
            addCriterion("choose_off_grade in", values, "chooseOffGrade");
            return (Criteria) this;
        }

        public Criteria andChooseOffGradeNotIn(List<String> values) {
            addCriterion("choose_off_grade not in", values, "chooseOffGrade");
            return (Criteria) this;
        }

        public Criteria andChooseOffGradeBetween(String value1, String value2) {
            addCriterion("choose_off_grade between", value1, value2, "chooseOffGrade");
            return (Criteria) this;
        }

        public Criteria andChooseOffGradeNotBetween(String value1, String value2) {
            addCriterion("choose_off_grade not between", value1, value2, "chooseOffGrade");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyTypeIsNull() {
            addCriterion("choose_company_type is null");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyTypeIsNotNull() {
            addCriterion("choose_company_type is not null");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyTypeEqualTo(String value) {
            addCriterion("choose_company_type =", value, "chooseCompanyType");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyTypeNotEqualTo(String value) {
            addCriterion("choose_company_type <>", value, "chooseCompanyType");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyTypeGreaterThan(String value) {
            addCriterion("choose_company_type >", value, "chooseCompanyType");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyTypeGreaterThanOrEqualTo(String value) {
            addCriterion("choose_company_type >=", value, "chooseCompanyType");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyTypeLessThan(String value) {
            addCriterion("choose_company_type <", value, "chooseCompanyType");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyTypeLessThanOrEqualTo(String value) {
            addCriterion("choose_company_type <=", value, "chooseCompanyType");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyTypeLike(String value) {
            addCriterion("choose_company_type like", value, "chooseCompanyType");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyTypeNotLike(String value) {
            addCriterion("choose_company_type not like", value, "chooseCompanyType");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyTypeIn(List<String> values) {
            addCriterion("choose_company_type in", values, "chooseCompanyType");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyTypeNotIn(List<String> values) {
            addCriterion("choose_company_type not in", values, "chooseCompanyType");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyTypeBetween(String value1, String value2) {
            addCriterion("choose_company_type between", value1, value2, "chooseCompanyType");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyTypeNotBetween(String value1, String value2) {
            addCriterion("choose_company_type not between", value1, value2, "chooseCompanyType");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyNumIsNull() {
            addCriterion("choose_company_num is null");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyNumIsNotNull() {
            addCriterion("choose_company_num is not null");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyNumEqualTo(String value) {
            addCriterion("choose_company_num =", value, "chooseCompanyNum");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyNumNotEqualTo(String value) {
            addCriterion("choose_company_num <>", value, "chooseCompanyNum");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyNumGreaterThan(String value) {
            addCriterion("choose_company_num >", value, "chooseCompanyNum");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyNumGreaterThanOrEqualTo(String value) {
            addCriterion("choose_company_num >=", value, "chooseCompanyNum");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyNumLessThan(String value) {
            addCriterion("choose_company_num <", value, "chooseCompanyNum");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyNumLessThanOrEqualTo(String value) {
            addCriterion("choose_company_num <=", value, "chooseCompanyNum");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyNumLike(String value) {
            addCriterion("choose_company_num like", value, "chooseCompanyNum");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyNumNotLike(String value) {
            addCriterion("choose_company_num not like", value, "chooseCompanyNum");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyNumIn(List<String> values) {
            addCriterion("choose_company_num in", values, "chooseCompanyNum");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyNumNotIn(List<String> values) {
            addCriterion("choose_company_num not in", values, "chooseCompanyNum");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyNumBetween(String value1, String value2) {
            addCriterion("choose_company_num between", value1, value2, "chooseCompanyNum");
            return (Criteria) this;
        }

        public Criteria andChooseCompanyNumNotBetween(String value1, String value2) {
            addCriterion("choose_company_num not between", value1, value2, "chooseCompanyNum");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldCompanyIsNull() {
            addCriterion("is_filter_old_company is null");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldCompanyIsNotNull() {
            addCriterion("is_filter_old_company is not null");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldCompanyEqualTo(String value) {
            addCriterion("is_filter_old_company =", value, "isFilterOldCompany");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldCompanyNotEqualTo(String value) {
            addCriterion("is_filter_old_company <>", value, "isFilterOldCompany");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldCompanyGreaterThan(String value) {
            addCriterion("is_filter_old_company >", value, "isFilterOldCompany");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldCompanyGreaterThanOrEqualTo(String value) {
            addCriterion("is_filter_old_company >=", value, "isFilterOldCompany");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldCompanyLessThan(String value) {
            addCriterion("is_filter_old_company <", value, "isFilterOldCompany");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldCompanyLessThanOrEqualTo(String value) {
            addCriterion("is_filter_old_company <=", value, "isFilterOldCompany");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldCompanyLike(String value) {
            addCriterion("is_filter_old_company like", value, "isFilterOldCompany");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldCompanyNotLike(String value) {
            addCriterion("is_filter_old_company not like", value, "isFilterOldCompany");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldCompanyIn(List<String> values) {
            addCriterion("is_filter_old_company in", values, "isFilterOldCompany");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldCompanyNotIn(List<String> values) {
            addCriterion("is_filter_old_company not in", values, "isFilterOldCompany");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldCompanyBetween(String value1, String value2) {
            addCriterion("is_filter_old_company between", value1, value2, "isFilterOldCompany");
            return (Criteria) this;
        }

        public Criteria andIsFilterOldCompanyNotBetween(String value1, String value2) {
            addCriterion("is_filter_old_company not between", value1, value2, "isFilterOldCompany");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyStartTimeIsNull() {
            addCriterion("filter_company_start_time is null");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyStartTimeIsNotNull() {
            addCriterion("filter_company_start_time is not null");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyStartTimeEqualTo(String value) {
            addCriterion("filter_company_start_time =", value, "filterCompanyStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyStartTimeNotEqualTo(String value) {
            addCriterion("filter_company_start_time <>", value, "filterCompanyStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyStartTimeGreaterThan(String value) {
            addCriterion("filter_company_start_time >", value, "filterCompanyStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyStartTimeGreaterThanOrEqualTo(String value) {
            addCriterion("filter_company_start_time >=", value, "filterCompanyStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyStartTimeLessThan(String value) {
            addCriterion("filter_company_start_time <", value, "filterCompanyStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyStartTimeLessThanOrEqualTo(String value) {
            addCriterion("filter_company_start_time <=", value, "filterCompanyStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyStartTimeLike(String value) {
            addCriterion("filter_company_start_time like", value, "filterCompanyStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyStartTimeNotLike(String value) {
            addCriterion("filter_company_start_time not like", value, "filterCompanyStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyStartTimeIn(List<String> values) {
            addCriterion("filter_company_start_time in", values, "filterCompanyStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyStartTimeNotIn(List<String> values) {
            addCriterion("filter_company_start_time not in", values, "filterCompanyStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyStartTimeBetween(String value1, String value2) {
            addCriterion("filter_company_start_time between", value1, value2, "filterCompanyStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyStartTimeNotBetween(String value1, String value2) {
            addCriterion("filter_company_start_time not between", value1, value2, "filterCompanyStartTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyEndTimeIsNull() {
            addCriterion("filter_company_end_time is null");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyEndTimeIsNotNull() {
            addCriterion("filter_company_end_time is not null");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyEndTimeEqualTo(String value) {
            addCriterion("filter_company_end_time =", value, "filterCompanyEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyEndTimeNotEqualTo(String value) {
            addCriterion("filter_company_end_time <>", value, "filterCompanyEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyEndTimeGreaterThan(String value) {
            addCriterion("filter_company_end_time >", value, "filterCompanyEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyEndTimeGreaterThanOrEqualTo(String value) {
            addCriterion("filter_company_end_time >=", value, "filterCompanyEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyEndTimeLessThan(String value) {
            addCriterion("filter_company_end_time <", value, "filterCompanyEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyEndTimeLessThanOrEqualTo(String value) {
            addCriterion("filter_company_end_time <=", value, "filterCompanyEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyEndTimeLike(String value) {
            addCriterion("filter_company_end_time like", value, "filterCompanyEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyEndTimeNotLike(String value) {
            addCriterion("filter_company_end_time not like", value, "filterCompanyEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyEndTimeIn(List<String> values) {
            addCriterion("filter_company_end_time in", values, "filterCompanyEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyEndTimeNotIn(List<String> values) {
            addCriterion("filter_company_end_time not in", values, "filterCompanyEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyEndTimeBetween(String value1, String value2) {
            addCriterion("filter_company_end_time between", value1, value2, "filterCompanyEndTime");
            return (Criteria) this;
        }

        public Criteria andFilterCompanyEndTimeNotBetween(String value1, String value2) {
            addCriterion("filter_company_end_time not between", value1, value2, "filterCompanyEndTime");
            return (Criteria) this;
        }

        public Criteria andIsValidIsNull() {
            addCriterion("is_valid is null");
            return (Criteria) this;
        }

        public Criteria andIsValidIsNotNull() {
            addCriterion("is_valid is not null");
            return (Criteria) this;
        }

        public Criteria andIsValidEqualTo(String value) {
            addCriterion("is_valid =", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotEqualTo(String value) {
            addCriterion("is_valid <>", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidGreaterThan(String value) {
            addCriterion("is_valid >", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidGreaterThanOrEqualTo(String value) {
            addCriterion("is_valid >=", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidLessThan(String value) {
            addCriterion("is_valid <", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidLessThanOrEqualTo(String value) {
            addCriterion("is_valid <=", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidLike(String value) {
            addCriterion("is_valid like", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotLike(String value) {
            addCriterion("is_valid not like", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidIn(List<String> values) {
            addCriterion("is_valid in", values, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotIn(List<String> values) {
            addCriterion("is_valid not in", values, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidBetween(String value1, String value2) {
            addCriterion("is_valid between", value1, value2, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotBetween(String value1, String value2) {
            addCriterion("is_valid not between", value1, value2, "isValid");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(String value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(String value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(String value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(String value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(String value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(String value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLike(String value) {
            addCriterion("create_time like", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotLike(String value) {
            addCriterion("create_time not like", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<String> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<String> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(String value1, String value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(String value1, String value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateByIsNull() {
            addCriterion("create_by is null");
            return (Criteria) this;
        }

        public Criteria andCreateByIsNotNull() {
            addCriterion("create_by is not null");
            return (Criteria) this;
        }

        public Criteria andCreateByEqualTo(String value) {
            addCriterion("create_by =", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotEqualTo(String value) {
            addCriterion("create_by <>", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByGreaterThan(String value) {
            addCriterion("create_by >", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByGreaterThanOrEqualTo(String value) {
            addCriterion("create_by >=", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLessThan(String value) {
            addCriterion("create_by <", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLessThanOrEqualTo(String value) {
            addCriterion("create_by <=", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLike(String value) {
            addCriterion("create_by like", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotLike(String value) {
            addCriterion("create_by not like", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByIn(List<String> values) {
            addCriterion("create_by in", values, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotIn(List<String> values) {
            addCriterion("create_by not in", values, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByBetween(String value1, String value2) {
            addCriterion("create_by between", value1, value2, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotBetween(String value1, String value2) {
            addCriterion("create_by not between", value1, value2, "createBy");
            return (Criteria) this;
        }

        public Criteria andExtfieldOneIsNull() {
            addCriterion("extfield_one is null");
            return (Criteria) this;
        }

        public Criteria andExtfieldOneIsNotNull() {
            addCriterion("extfield_one is not null");
            return (Criteria) this;
        }

        public Criteria andExtfieldOneEqualTo(String value) {
            addCriterion("extfield_one =", value, "extfieldOne");
            return (Criteria) this;
        }

        public Criteria andExtfieldOneNotEqualTo(String value) {
            addCriterion("extfield_one <>", value, "extfieldOne");
            return (Criteria) this;
        }

        public Criteria andExtfieldOneGreaterThan(String value) {
            addCriterion("extfield_one >", value, "extfieldOne");
            return (Criteria) this;
        }

        public Criteria andExtfieldOneGreaterThanOrEqualTo(String value) {
            addCriterion("extfield_one >=", value, "extfieldOne");
            return (Criteria) this;
        }

        public Criteria andExtfieldOneLessThan(String value) {
            addCriterion("extfield_one <", value, "extfieldOne");
            return (Criteria) this;
        }

        public Criteria andExtfieldOneLessThanOrEqualTo(String value) {
            addCriterion("extfield_one <=", value, "extfieldOne");
            return (Criteria) this;
        }

        public Criteria andExtfieldOneLike(String value) {
            addCriterion("extfield_one like", value, "extfieldOne");
            return (Criteria) this;
        }

        public Criteria andExtfieldOneNotLike(String value) {
            addCriterion("extfield_one not like", value, "extfieldOne");
            return (Criteria) this;
        }

        public Criteria andExtfieldOneIn(List<String> values) {
            addCriterion("extfield_one in", values, "extfieldOne");
            return (Criteria) this;
        }

        public Criteria andExtfieldOneNotIn(List<String> values) {
            addCriterion("extfield_one not in", values, "extfieldOne");
            return (Criteria) this;
        }

        public Criteria andExtfieldOneBetween(String value1, String value2) {
            addCriterion("extfield_one between", value1, value2, "extfieldOne");
            return (Criteria) this;
        }

        public Criteria andExtfieldOneNotBetween(String value1, String value2) {
            addCriterion("extfield_one not between", value1, value2, "extfieldOne");
            return (Criteria) this;
        }

        public Criteria andExtfieldTwoIsNull() {
            addCriterion("extfield_two is null");
            return (Criteria) this;
        }

        public Criteria andExtfieldTwoIsNotNull() {
            addCriterion("extfield_two is not null");
            return (Criteria) this;
        }

        public Criteria andExtfieldTwoEqualTo(String value) {
            addCriterion("extfield_two =", value, "extfieldTwo");
            return (Criteria) this;
        }

        public Criteria andExtfieldTwoNotEqualTo(String value) {
            addCriterion("extfield_two <>", value, "extfieldTwo");
            return (Criteria) this;
        }

        public Criteria andExtfieldTwoGreaterThan(String value) {
            addCriterion("extfield_two >", value, "extfieldTwo");
            return (Criteria) this;
        }

        public Criteria andExtfieldTwoGreaterThanOrEqualTo(String value) {
            addCriterion("extfield_two >=", value, "extfieldTwo");
            return (Criteria) this;
        }

        public Criteria andExtfieldTwoLessThan(String value) {
            addCriterion("extfield_two <", value, "extfieldTwo");
            return (Criteria) this;
        }

        public Criteria andExtfieldTwoLessThanOrEqualTo(String value) {
            addCriterion("extfield_two <=", value, "extfieldTwo");
            return (Criteria) this;
        }

        public Criteria andExtfieldTwoLike(String value) {
            addCriterion("extfield_two like", value, "extfieldTwo");
            return (Criteria) this;
        }

        public Criteria andExtfieldTwoNotLike(String value) {
            addCriterion("extfield_two not like", value, "extfieldTwo");
            return (Criteria) this;
        }

        public Criteria andExtfieldTwoIn(List<String> values) {
            addCriterion("extfield_two in", values, "extfieldTwo");
            return (Criteria) this;
        }

        public Criteria andExtfieldTwoNotIn(List<String> values) {
            addCriterion("extfield_two not in", values, "extfieldTwo");
            return (Criteria) this;
        }

        public Criteria andExtfieldTwoBetween(String value1, String value2) {
            addCriterion("extfield_two between", value1, value2, "extfieldTwo");
            return (Criteria) this;
        }

        public Criteria andExtfieldTwoNotBetween(String value1, String value2) {
            addCriterion("extfield_two not between", value1, value2, "extfieldTwo");
            return (Criteria) this;
        }

        public Criteria andExtfieldThreeIsNull() {
            addCriterion("extfield_three is null");
            return (Criteria) this;
        }

        public Criteria andExtfieldThreeIsNotNull() {
            addCriterion("extfield_three is not null");
            return (Criteria) this;
        }

        public Criteria andExtfieldThreeEqualTo(String value) {
            addCriterion("extfield_three =", value, "extfieldThree");
            return (Criteria) this;
        }

        public Criteria andExtfieldThreeNotEqualTo(String value) {
            addCriterion("extfield_three <>", value, "extfieldThree");
            return (Criteria) this;
        }

        public Criteria andExtfieldThreeGreaterThan(String value) {
            addCriterion("extfield_three >", value, "extfieldThree");
            return (Criteria) this;
        }

        public Criteria andExtfieldThreeGreaterThanOrEqualTo(String value) {
            addCriterion("extfield_three >=", value, "extfieldThree");
            return (Criteria) this;
        }

        public Criteria andExtfieldThreeLessThan(String value) {
            addCriterion("extfield_three <", value, "extfieldThree");
            return (Criteria) this;
        }

        public Criteria andExtfieldThreeLessThanOrEqualTo(String value) {
            addCriterion("extfield_three <=", value, "extfieldThree");
            return (Criteria) this;
        }

        public Criteria andExtfieldThreeLike(String value) {
            addCriterion("extfield_three like", value, "extfieldThree");
            return (Criteria) this;
        }

        public Criteria andExtfieldThreeNotLike(String value) {
            addCriterion("extfield_three not like", value, "extfieldThree");
            return (Criteria) this;
        }

        public Criteria andExtfieldThreeIn(List<String> values) {
            addCriterion("extfield_three in", values, "extfieldThree");
            return (Criteria) this;
        }

        public Criteria andExtfieldThreeNotIn(List<String> values) {
            addCriterion("extfield_three not in", values, "extfieldThree");
            return (Criteria) this;
        }

        public Criteria andExtfieldThreeBetween(String value1, String value2) {
            addCriterion("extfield_three between", value1, value2, "extfieldThree");
            return (Criteria) this;
        }

        public Criteria andExtfieldThreeNotBetween(String value1, String value2) {
            addCriterion("extfield_three not between", value1, value2, "extfieldThree");
            return (Criteria) this;
        }

        public Criteria andExtfieldFourIsNull() {
            addCriterion("extfield_four is null");
            return (Criteria) this;
        }

        public Criteria andExtfieldFourIsNotNull() {
            addCriterion("extfield_four is not null");
            return (Criteria) this;
        }

        public Criteria andExtfieldFourEqualTo(String value) {
            addCriterion("extfield_four =", value, "extfieldFour");
            return (Criteria) this;
        }

        public Criteria andExtfieldFourNotEqualTo(String value) {
            addCriterion("extfield_four <>", value, "extfieldFour");
            return (Criteria) this;
        }

        public Criteria andExtfieldFourGreaterThan(String value) {
            addCriterion("extfield_four >", value, "extfieldFour");
            return (Criteria) this;
        }

        public Criteria andExtfieldFourGreaterThanOrEqualTo(String value) {
            addCriterion("extfield_four >=", value, "extfieldFour");
            return (Criteria) this;
        }

        public Criteria andExtfieldFourLessThan(String value) {
            addCriterion("extfield_four <", value, "extfieldFour");
            return (Criteria) this;
        }

        public Criteria andExtfieldFourLessThanOrEqualTo(String value) {
            addCriterion("extfield_four <=", value, "extfieldFour");
            return (Criteria) this;
        }

        public Criteria andExtfieldFourLike(String value) {
            addCriterion("extfield_four like", value, "extfieldFour");
            return (Criteria) this;
        }

        public Criteria andExtfieldFourNotLike(String value) {
            addCriterion("extfield_four not like", value, "extfieldFour");
            return (Criteria) this;
        }

        public Criteria andExtfieldFourIn(List<String> values) {
            addCriterion("extfield_four in", values, "extfieldFour");
            return (Criteria) this;
        }

        public Criteria andExtfieldFourNotIn(List<String> values) {
            addCriterion("extfield_four not in", values, "extfieldFour");
            return (Criteria) this;
        }

        public Criteria andExtfieldFourBetween(String value1, String value2) {
            addCriterion("extfield_four between", value1, value2, "extfieldFour");
            return (Criteria) this;
        }

        public Criteria andExtfieldFourNotBetween(String value1, String value2) {
            addCriterion("extfield_four not between", value1, value2, "extfieldFour");
            return (Criteria) this;
        }

        public Criteria andExtfieldFiveIsNull() {
            addCriterion("extfield_five is null");
            return (Criteria) this;
        }

        public Criteria andExtfieldFiveIsNotNull() {
            addCriterion("extfield_five is not null");
            return (Criteria) this;
        }

        public Criteria andExtfieldFiveEqualTo(String value) {
            addCriterion("extfield_five =", value, "extfieldFive");
            return (Criteria) this;
        }

        public Criteria andExtfieldFiveNotEqualTo(String value) {
            addCriterion("extfield_five <>", value, "extfieldFive");
            return (Criteria) this;
        }

        public Criteria andExtfieldFiveGreaterThan(String value) {
            addCriterion("extfield_five >", value, "extfieldFive");
            return (Criteria) this;
        }

        public Criteria andExtfieldFiveGreaterThanOrEqualTo(String value) {
            addCriterion("extfield_five >=", value, "extfieldFive");
            return (Criteria) this;
        }

        public Criteria andExtfieldFiveLessThan(String value) {
            addCriterion("extfield_five <", value, "extfieldFive");
            return (Criteria) this;
        }

        public Criteria andExtfieldFiveLessThanOrEqualTo(String value) {
            addCriterion("extfield_five <=", value, "extfieldFive");
            return (Criteria) this;
        }

        public Criteria andExtfieldFiveLike(String value) {
            addCriterion("extfield_five like", value, "extfieldFive");
            return (Criteria) this;
        }

        public Criteria andExtfieldFiveNotLike(String value) {
            addCriterion("extfield_five not like", value, "extfieldFive");
            return (Criteria) this;
        }

        public Criteria andExtfieldFiveIn(List<String> values) {
            addCriterion("extfield_five in", values, "extfieldFive");
            return (Criteria) this;
        }

        public Criteria andExtfieldFiveNotIn(List<String> values) {
            addCriterion("extfield_five not in", values, "extfieldFive");
            return (Criteria) this;
        }

        public Criteria andExtfieldFiveBetween(String value1, String value2) {
            addCriterion("extfield_five between", value1, value2, "extfieldFive");
            return (Criteria) this;
        }

        public Criteria andExtfieldFiveNotBetween(String value1, String value2) {
            addCriterion("extfield_five not between", value1, value2, "extfieldFive");
            return (Criteria) this;
        }

        public Criteria andExtfieldSixIsNull() {
            addCriterion("extfield_six is null");
            return (Criteria) this;
        }

        public Criteria andExtfieldSixIsNotNull() {
            addCriterion("extfield_six is not null");
            return (Criteria) this;
        }

        public Criteria andExtfieldSixEqualTo(String value) {
            addCriterion("extfield_six =", value, "extfieldSix");
            return (Criteria) this;
        }

        public Criteria andExtfieldSixNotEqualTo(String value) {
            addCriterion("extfield_six <>", value, "extfieldSix");
            return (Criteria) this;
        }

        public Criteria andExtfieldSixGreaterThan(String value) {
            addCriterion("extfield_six >", value, "extfieldSix");
            return (Criteria) this;
        }

        public Criteria andExtfieldSixGreaterThanOrEqualTo(String value) {
            addCriterion("extfield_six >=", value, "extfieldSix");
            return (Criteria) this;
        }

        public Criteria andExtfieldSixLessThan(String value) {
            addCriterion("extfield_six <", value, "extfieldSix");
            return (Criteria) this;
        }

        public Criteria andExtfieldSixLessThanOrEqualTo(String value) {
            addCriterion("extfield_six <=", value, "extfieldSix");
            return (Criteria) this;
        }

        public Criteria andExtfieldSixLike(String value) {
            addCriterion("extfield_six like", value, "extfieldSix");
            return (Criteria) this;
        }

        public Criteria andExtfieldSixNotLike(String value) {
            addCriterion("extfield_six not like", value, "extfieldSix");
            return (Criteria) this;
        }

        public Criteria andExtfieldSixIn(List<String> values) {
            addCriterion("extfield_six in", values, "extfieldSix");
            return (Criteria) this;
        }

        public Criteria andExtfieldSixNotIn(List<String> values) {
            addCriterion("extfield_six not in", values, "extfieldSix");
            return (Criteria) this;
        }

        public Criteria andExtfieldSixBetween(String value1, String value2) {
            addCriterion("extfield_six between", value1, value2, "extfieldSix");
            return (Criteria) this;
        }

        public Criteria andExtfieldSixNotBetween(String value1, String value2) {
            addCriterion("extfield_six not between", value1, value2, "extfieldSix");
            return (Criteria) this;
        }

        public Criteria andExtfieldSevenIsNull() {
            addCriterion("extfield_seven is null");
            return (Criteria) this;
        }

        public Criteria andExtfieldSevenIsNotNull() {
            addCriterion("extfield_seven is not null");
            return (Criteria) this;
        }

        public Criteria andExtfieldSevenEqualTo(String value) {
            addCriterion("extfield_seven =", value, "extfieldSeven");
            return (Criteria) this;
        }

        public Criteria andExtfieldSevenNotEqualTo(String value) {
            addCriterion("extfield_seven <>", value, "extfieldSeven");
            return (Criteria) this;
        }

        public Criteria andExtfieldSevenGreaterThan(String value) {
            addCriterion("extfield_seven >", value, "extfieldSeven");
            return (Criteria) this;
        }

        public Criteria andExtfieldSevenGreaterThanOrEqualTo(String value) {
            addCriterion("extfield_seven >=", value, "extfieldSeven");
            return (Criteria) this;
        }

        public Criteria andExtfieldSevenLessThan(String value) {
            addCriterion("extfield_seven <", value, "extfieldSeven");
            return (Criteria) this;
        }

        public Criteria andExtfieldSevenLessThanOrEqualTo(String value) {
            addCriterion("extfield_seven <=", value, "extfieldSeven");
            return (Criteria) this;
        }

        public Criteria andExtfieldSevenLike(String value) {
            addCriterion("extfield_seven like", value, "extfieldSeven");
            return (Criteria) this;
        }

        public Criteria andExtfieldSevenNotLike(String value) {
            addCriterion("extfield_seven not like", value, "extfieldSeven");
            return (Criteria) this;
        }

        public Criteria andExtfieldSevenIn(List<String> values) {
            addCriterion("extfield_seven in", values, "extfieldSeven");
            return (Criteria) this;
        }

        public Criteria andExtfieldSevenNotIn(List<String> values) {
            addCriterion("extfield_seven not in", values, "extfieldSeven");
            return (Criteria) this;
        }

        public Criteria andExtfieldSevenBetween(String value1, String value2) {
            addCriterion("extfield_seven between", value1, value2, "extfieldSeven");
            return (Criteria) this;
        }

        public Criteria andExtfieldSevenNotBetween(String value1, String value2) {
            addCriterion("extfield_seven not between", value1, value2, "extfieldSeven");
            return (Criteria) this;
        }

        public Criteria andExtfieldEightIsNull() {
            addCriterion("extfield_eight is null");
            return (Criteria) this;
        }

        public Criteria andExtfieldEightIsNotNull() {
            addCriterion("extfield_eight is not null");
            return (Criteria) this;
        }

        public Criteria andExtfieldEightEqualTo(String value) {
            addCriterion("extfield_eight =", value, "extfieldEight");
            return (Criteria) this;
        }

        public Criteria andExtfieldEightNotEqualTo(String value) {
            addCriterion("extfield_eight <>", value, "extfieldEight");
            return (Criteria) this;
        }

        public Criteria andExtfieldEightGreaterThan(String value) {
            addCriterion("extfield_eight >", value, "extfieldEight");
            return (Criteria) this;
        }

        public Criteria andExtfieldEightGreaterThanOrEqualTo(String value) {
            addCriterion("extfield_eight >=", value, "extfieldEight");
            return (Criteria) this;
        }

        public Criteria andExtfieldEightLessThan(String value) {
            addCriterion("extfield_eight <", value, "extfieldEight");
            return (Criteria) this;
        }

        public Criteria andExtfieldEightLessThanOrEqualTo(String value) {
            addCriterion("extfield_eight <=", value, "extfieldEight");
            return (Criteria) this;
        }

        public Criteria andExtfieldEightLike(String value) {
            addCriterion("extfield_eight like", value, "extfieldEight");
            return (Criteria) this;
        }

        public Criteria andExtfieldEightNotLike(String value) {
            addCriterion("extfield_eight not like", value, "extfieldEight");
            return (Criteria) this;
        }

        public Criteria andExtfieldEightIn(List<String> values) {
            addCriterion("extfield_eight in", values, "extfieldEight");
            return (Criteria) this;
        }

        public Criteria andExtfieldEightNotIn(List<String> values) {
            addCriterion("extfield_eight not in", values, "extfieldEight");
            return (Criteria) this;
        }

        public Criteria andExtfieldEightBetween(String value1, String value2) {
            addCriterion("extfield_eight between", value1, value2, "extfieldEight");
            return (Criteria) this;
        }

        public Criteria andExtfieldEightNotBetween(String value1, String value2) {
            addCriterion("extfield_eight not between", value1, value2, "extfieldEight");
            return (Criteria) this;
        }

        public Criteria andExtfieldNineIsNull() {
            addCriterion("extfield_nine is null");
            return (Criteria) this;
        }

        public Criteria andExtfieldNineIsNotNull() {
            addCriterion("extfield_nine is not null");
            return (Criteria) this;
        }

        public Criteria andExtfieldNineEqualTo(String value) {
            addCriterion("extfield_nine =", value, "extfieldNine");
            return (Criteria) this;
        }

        public Criteria andExtfieldNineNotEqualTo(String value) {
            addCriterion("extfield_nine <>", value, "extfieldNine");
            return (Criteria) this;
        }

        public Criteria andExtfieldNineGreaterThan(String value) {
            addCriterion("extfield_nine >", value, "extfieldNine");
            return (Criteria) this;
        }

        public Criteria andExtfieldNineGreaterThanOrEqualTo(String value) {
            addCriterion("extfield_nine >=", value, "extfieldNine");
            return (Criteria) this;
        }

        public Criteria andExtfieldNineLessThan(String value) {
            addCriterion("extfield_nine <", value, "extfieldNine");
            return (Criteria) this;
        }

        public Criteria andExtfieldNineLessThanOrEqualTo(String value) {
            addCriterion("extfield_nine <=", value, "extfieldNine");
            return (Criteria) this;
        }

        public Criteria andExtfieldNineLike(String value) {
            addCriterion("extfield_nine like", value, "extfieldNine");
            return (Criteria) this;
        }

        public Criteria andExtfieldNineNotLike(String value) {
            addCriterion("extfield_nine not like", value, "extfieldNine");
            return (Criteria) this;
        }

        public Criteria andExtfieldNineIn(List<String> values) {
            addCriterion("extfield_nine in", values, "extfieldNine");
            return (Criteria) this;
        }

        public Criteria andExtfieldNineNotIn(List<String> values) {
            addCriterion("extfield_nine not in", values, "extfieldNine");
            return (Criteria) this;
        }

        public Criteria andExtfieldNineBetween(String value1, String value2) {
            addCriterion("extfield_nine between", value1, value2, "extfieldNine");
            return (Criteria) this;
        }

        public Criteria andExtfieldNineNotBetween(String value1, String value2) {
            addCriterion("extfield_nine not between", value1, value2, "extfieldNine");
            return (Criteria) this;
        }

        public Criteria andExtfieldTenIsNull() {
            addCriterion("extfield_ten is null");
            return (Criteria) this;
        }

        public Criteria andExtfieldTenIsNotNull() {
            addCriterion("extfield_ten is not null");
            return (Criteria) this;
        }

        public Criteria andExtfieldTenEqualTo(String value) {
            addCriterion("extfield_ten =", value, "extfieldTen");
            return (Criteria) this;
        }

        public Criteria andExtfieldTenNotEqualTo(String value) {
            addCriterion("extfield_ten <>", value, "extfieldTen");
            return (Criteria) this;
        }

        public Criteria andExtfieldTenGreaterThan(String value) {
            addCriterion("extfield_ten >", value, "extfieldTen");
            return (Criteria) this;
        }

        public Criteria andExtfieldTenGreaterThanOrEqualTo(String value) {
            addCriterion("extfield_ten >=", value, "extfieldTen");
            return (Criteria) this;
        }

        public Criteria andExtfieldTenLessThan(String value) {
            addCriterion("extfield_ten <", value, "extfieldTen");
            return (Criteria) this;
        }

        public Criteria andExtfieldTenLessThanOrEqualTo(String value) {
            addCriterion("extfield_ten <=", value, "extfieldTen");
            return (Criteria) this;
        }

        public Criteria andExtfieldTenLike(String value) {
            addCriterion("extfield_ten like", value, "extfieldTen");
            return (Criteria) this;
        }

        public Criteria andExtfieldTenNotLike(String value) {
            addCriterion("extfield_ten not like", value, "extfieldTen");
            return (Criteria) this;
        }

        public Criteria andExtfieldTenIn(List<String> values) {
            addCriterion("extfield_ten in", values, "extfieldTen");
            return (Criteria) this;
        }

        public Criteria andExtfieldTenNotIn(List<String> values) {
            addCriterion("extfield_ten not in", values, "extfieldTen");
            return (Criteria) this;
        }

        public Criteria andExtfieldTenBetween(String value1, String value2) {
            addCriterion("extfield_ten between", value1, value2, "extfieldTen");
            return (Criteria) this;
        }

        public Criteria andExtfieldTenNotBetween(String value1, String value2) {
            addCriterion("extfield_ten not between", value1, value2, "extfieldTen");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria implements Serializable {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion implements Serializable {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}